# LOHROcorder

A Python based recording service with API


## Quickstart

These steps are for development and production so far. Just execute using the following commands.


### Preparation

Get the sources

```sh
# Using SSH...
git clone git@git.hack-hro.de:lohro/lohrothek/lohrocorder.git

# ...or using HTTPs
git clone https://git.hack-hro.de/lohro/lohrothek/lohrocorder.git

# Change into project folder
cd lohrocorder
```

### Install and Run

#### Native using Poetry directly

You need the following packages on the host system. You will need Python 3.11 as minimum.

```sh
apt install poetry python3 python3-trove-classifiers
```

Let poetry create a venv for the needed python modules and run the LOHROcorder.

```sh
poetry install
poetry run lohrocorder/app.py
```

#### Using Docker

As alternative use the minimal [Dockerfile](Dockerfile)

```sh
docker build -t lohrocorder .
docker run -p 8001:8001 lohrocorder
```

### Configuration

TODO


### Usage and API

Start the LOHROcorder and see `http://localhost:8001/docs` for the API documentation.

## Developer Notes

To get newer versions of libaries than pinned by `poetry.lock` you can use the following command.

```sh
poetry update
```
